%define aurox_ver 10.2
%define rel 1

Summary: Support for French interface in Mozilla
Name: mozilla-i18n-French
Version: 1.7.5
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://frenchmozilla.sourceforge.net/
#Source: http://ftp.mozilla.org/pub/mozilla/l10n/lang/moz%{version}/langfrfr.xpi
#Source: http://ftp28f.newaol.com/pub/mozilla.org/mozilla/l10n/lang/moz1.73/langfrfr.xpi
Source: http://ovh.dl.sourceforge.net/sourceforge/frenchmozilla/mozilla-l10n-fr-FR-1.7.5.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: mozilla >= 1.7
BuildPreReq: unzip

%description
French translation of the Mozilla interface

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}

%build
mylocale=fr-FR
mylang=fr
grep 'registerChrome(' install.js | grep -v platform | grep -v mapi | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/fr-FR.jar!/locale/fr-FR/",$1,"/"}' > lang-$mylocale.jar.txt
grep 'registerChrome(' install.js | grep platform | awk '{print $5}' | sed 's/"//g;s#/);##g' | sort --unique | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/fr-unix.jar!/locale/fr-FR/",$1,"/"}' > lang-$mylang-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
mylocale=fr-FR
mylang=fr
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
cp -f bin/chrome/$mylocale.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale.jar
cp -f bin/chrome/$mylang-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylang-unix.jar
cp -f lang-$mylocale.jar.txt lang-$mylang-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang

install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/myspell
cp -f bin/components/myspell/* $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/components/myspell

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt
/usr/lib/mozilla-%{version}/components/myspell/*
#/usr/lib/mozilla-i18n-%{version}/*

%changelog
* Wed Feb 09 2005 Aurox Team <aurox@aurox.org> 0:1.7.5-10.2.aur.1


* Mon Sep 27 2004 Aurox Team <aurox@aurox.org> 0:1.7.3-10.1.aur.1
- Update to Mozilla 1.7.3

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.1
- Update to Mozilla 1.4 final

* Thu Jun 26 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.2
- Update to Mozilla 1.4RC2

* Thu Feb 13 2003 Robert Glowczynski <robertg@software.com.pl>
- Update to Mozilla 1.2.1

* Mon Oct 14 2002 Robert Główczyński <robertg@software.com.pl>
- Initial build for Aurox Linux (default labels modified)

